## net.i2p.router.networkdb.kademlia
Class ExpireLeasesJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.ExpireLeasesJob

All Implemented Interfaces:
  Job

     class ExpireLeasesJob

extends JobImpl

Periodically search through all leases to find expired ones, failing those keys and firing up a new search for each (in case we want it later, might as well preemptively fetch it)

Constructor Summary
`ExpireLeasesJob(RouterContext ctx, KademliaNetworkDatabaseFacade facade)`

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpireLeasesJob

    public ExpireLeasesJob(RouterContext ctx,
                           KademliaNetworkDatabaseFacade facade)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.